diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -8909,7 +7490,7 @@ test_dump_2 ()
 
   /* Verify get_offset for "c.y".  */
   {
-    const region2 *c_y_reg = model.get_lvalue (c_y, NULL);
+    const region *c_y_reg = model.get_lvalue (c_y, NULL);
     region_offset offset = c_y_reg->get_offset ();
     ASSERT_EQ (offset.get_base_region (), model.get_lvalue (c, NULL));
     ASSERT_EQ (offset.get_bit_offset (), INT_TYPE_SIZE);
@@ -8934,7 +7515,7 @@ test_dump_2 ()
 #if 0
   ASSERT_DUMP_EQ
     (model, false,
-     "base region: {decl_region2(globals, `struct coord', `c')} has cluster: {binding key: {region: field_region2(decl_region2(globals, `struct coord', `c'), `int', `x'), kind: direct, offset: 0}, value: {constant_svalue2(`int', 17)}, binding key: {region: field_region2(decl_region2(globals, `struct coord', `c'), `int', `y'), kind: direct, offset: 0}, value: {constant_svalue2(`int', -3)}}");
+     "base region: {decl_region(globals, `struct coord', `c')} has cluster: {binding key: {region: field_region(decl_region(globals, `struct coord', `c'), `int', `x'), kind: direct, offset: 0}, value: {constant_svalue(`int', 17)}, binding key: {region: field_region(decl_region(globals, `struct coord', `c'), `int', `y'), kind: direct, offset: 0}, value: {constant_svalue(`int', -3)}}");
 #endif
 }
 
@@ -8950,7 +7531,7 @@ test_dump_3 ()
 
   tree a = build_global_decl ("a", arr_type);
 
-  region_model2 model;
+  region_model model;
   tree int_0 = build_int_cst (integer_type_node, 0);
   tree a_0 = build4 (ARRAY_REF, char_type_node,
 		     a, int_0, NULL_TREE, NULL_TREE);
@@ -8961,36 +7542,22 @@ test_dump_3 ()
   ASSERT_DUMP_EQ (model, true, "a[0]: 65");
 
   /* Full dump.  */
-  ASSERT_DUMP_EQ
-    (model, false,
-     "r0: {kind: `root', parent: null, sval: null}\n"
-     "`-globals: r1: {kind: `globals', parent: r0, sval: null, map: {`a': r2}}\n"
-     "  `-`a': r2: {kind: `array', parent: r1, sval: null, type: `char[11]', array: {[0]: r3}}\n"
-     "    |: type: `char[11]'\n"
-     "    `-[0]: r3: {kind: `primitive', parent: r2, sval: sv1, type: `char'}\n"
-     "      |: sval: sv1: {type: `char', `65'}\n"
-     "      |: type: `char'\n"
-     "svalue2s:\n"
-     "  sv0: {type: `int', `0'}\n"
-     "  sv1: {type: `char', `65'}\n"
-     "constraint manager:\n"
-     "  equiv classes:\n"
-     "  constraints:\n");
+  // TODO
 }
 
 #endif
-/* Verify that region_model2::get_representative_tree works as expected.  */
+/* Verify that region_model::get_representative_tree works as expected.  */
 
 static void
 test_get_representative_tree ()
 {
-  region_model2_manager mgr;
+  region_model_manager mgr;
 
   /* STRING_CST.  */
   {
     tree string_cst = build_string (4, "foo");
-    region_model2 m (&mgr);
-    const svalue2 *str_sval = m.get_rvalue (string_cst, NULL);
+    region_model m (&mgr);
+    const svalue *str_sval = m.get_rvalue (string_cst, NULL);
     tree rep = m.get_representative_tree (str_sval);
     ASSERT_EQ (rep, string_cst);
   }
@@ -8998,8 +7565,8 @@ test_get_representative_tree ()
   /* String literal.  */
   {
     tree string_cst_ptr = build_string_literal (4, "foo");
-    region_model2 m (&mgr);
-    const svalue2 *str_sval = m.get_rvalue (string_cst_ptr, NULL);
+    region_model m (&mgr);
+    const svalue *str_sval = m.get_rvalue (string_cst_ptr, NULL);
     tree rep = m.get_representative_tree (str_sval);
     ASSERT_DUMP_TREE_EQ (rep, "&\"foo\"[0]");
   }
@@ -9014,16 +7581,16 @@ test_get_representative_tree ()
     tree tlen = size_int (10);
     tree arr_type = build_array_type (char_type_node, build_index_type (tlen));
     tree a = build_global_decl ("a", arr_type);
-    placeholder_svalue2 test_sval (char_type_node, "test value");
+    placeholder_svalue test_sval (char_type_node, "test value");
 
     /* Value of a[3].  */
     {
-      test_region_model2_context ctxt;
-      region_model2 model (&mgr);
+      test_region_model_context ctxt;
+      region_model model (&mgr);
       tree int_3 = build_int_cst (integer_type_node, 3);
       tree a_3 = build4 (ARRAY_REF, char_type_node,
 			 a, int_3, NULL_TREE, NULL_TREE);
-      const region2 *a_3_reg = model.get_lvalue (a_3, &ctxt);
+      const region *a_3_reg = model.get_lvalue (a_3, &ctxt);
       model.set_value (a_3_reg, &test_sval, &ctxt);
       tree rep = model.get_representative_tree (&test_sval);
       ASSERT_DUMP_TREE_EQ (rep, "a[3]");
@@ -9031,12 +7598,12 @@ test_get_representative_tree ()
 
     /* Value of a[0].  */
     {
-      test_region_model2_context ctxt;
-      region_model2 model (&mgr);
+      test_region_model_context ctxt;
+      region_model model (&mgr);
       tree idx = build_int_cst (integer_type_node, 0);
       tree a_0 = build4 (ARRAY_REF, char_type_node,
 			 a, idx, NULL_TREE, NULL_TREE);
-      const region2 *a_0_reg = model.get_lvalue (a_0, &ctxt);
+      const region *a_0_reg = model.get_lvalue (a_0, &ctxt);
       model.set_value (a_0_reg, &test_sval, &ctxt);
       tree rep = model.get_representative_tree (&test_sval);
       ASSERT_DUMP_TREE_EQ (rep, "a[0]");
@@ -9045,7 +7612,7 @@ test_get_representative_tree ()
 
   /* Value of a field within a struct.  */
   {
-    coord_test2 ct;
+    coord_test ct;
 
     tree c = build_global_decl ("c", ct.m_coord_type);
     tree c_x = build3 (COMPONENT_REF, TREE_TYPE (ct.m_x_field),
@@ -9053,13 +7620,13 @@ test_get_representative_tree ()
     tree c_y = build3 (COMPONENT_REF, TREE_TYPE (ct.m_y_field),
 		       c, ct.m_y_field, NULL_TREE);
 
-    test_region_model2_context ctxt;
+    test_region_model_context ctxt;
 
     /* Value of initial field.  */
     {
-      region_model2 m (&mgr);
-      const region2 *c_x_reg = m.get_lvalue (c_x, &ctxt);
-      placeholder_svalue2 test_sval_x (integer_type_node, "test x val");
+      region_model m (&mgr);
+      const region *c_x_reg = m.get_lvalue (c_x, &ctxt);
+      placeholder_svalue test_sval_x (integer_type_node, "test x val");
       m.set_value (c_x_reg, &test_sval_x, &ctxt);
       tree rep = m.get_representative_tree (&test_sval_x);
       ASSERT_DUMP_TREE_EQ (rep, "c.x");
@@ -9067,9 +7634,9 @@ test_get_representative_tree ()
 
     /* Value of non-initial field.  */
     {
-      region_model2 m (&mgr);
-      const region2 *c_y_reg = m.get_lvalue (c_y, &ctxt);
-      placeholder_svalue2 test_sval_y (integer_type_node, "test y val");
+      region_model m (&mgr);
+      const region *c_y_reg = m.get_lvalue (c_y, &ctxt);
+      placeholder_svalue test_sval_y (integer_type_node, "test y val");
       m.set_value (c_y_reg, &test_sval_y, &ctxt);
       tree rep = m.get_representative_tree (&test_sval_y);
       ASSERT_DUMP_TREE_EQ (rep, "c.y");
@@ -9082,8 +7649,8 @@ test_get_representative_tree ()
   }
 }
 
-/* Verify that calling region_model2::get_rvalue repeatedly on the same
-   tree constant retrieves the same svalue2 *.  */
+/* Verify that calling region_model::get_rvalue repeatedly on the same
+   tree constant retrieves the same svalue *.  */
 
 static void
 test_unique_constants ()
@@ -9091,9 +7658,9 @@ test_unique_constants ()
   tree int_0 = build_int_cst (integer_type_node, 0);
   tree int_42 = build_int_cst (integer_type_node, 42);
 
-  test_region_model2_context ctxt;
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  test_region_model_context ctxt;
+  region_model_manager mgr;
+  region_model model (&mgr);
   ASSERT_EQ (model.get_rvalue (int_0, &ctxt), model.get_rvalue (int_0, &ctxt));
   ASSERT_EQ (model.get_rvalue (int_42, &ctxt),
 	     model.get_rvalue (int_42, &ctxt));
@@ -9105,58 +7672,58 @@ test_unique_constants ()
     = build_qualified_type (integer_type_node, TYPE_QUAL_CONST);
   tree const_int_42 = build_int_cst (const_int_type_node, 42);
   ASSERT_NE (int_42, const_int_42);
-  /* It should have a different const_svalue2.  */
-  const svalue2 *int_42_sval = model.get_rvalue (int_42, &ctxt);
-  const svalue2 *const_int_42_sval = model.get_rvalue (const_int_42, &ctxt);
+  /* It should have a different const_svalue.  */
+  const svalue *int_42_sval = model.get_rvalue (int_42, &ctxt);
+  const svalue *const_int_42_sval = model.get_rvalue (const_int_42, &ctxt);
   ASSERT_NE (int_42_sval, const_int_42_sval);
   /* But they should compare as equal.  */
-  ASSERT_CONDITION_TRUE2 (model, int_42_sval, EQ_EXPR, const_int_42_sval);
-  ASSERT_CONDITION_FALSE2 (model, int_42_sval, NE_EXPR, const_int_42_sval);
+  ASSERT_CONDITION_TRUE (model, int_42_sval, EQ_EXPR, const_int_42_sval);
+  ASSERT_CONDITION_FALSE (model, int_42_sval, NE_EXPR, const_int_42_sval);
 }
 
-/* Verify that each type gets its own singleton unknown_svalue2 within a
-   region_model2_manager, and that NULL_TREE gets its own singleton.  */
+/* Verify that each type gets its own singleton unknown_svalue within a
+   region_model_manager, and that NULL_TREE gets its own singleton.  */
 
 static void
 test_unique_unknowns ()
 {
-  region_model2_manager mgr;
-  const svalue2 *unknown_int
-    = mgr.get_or_create_unknown_svalue2 (integer_type_node);
+  region_model_manager mgr;
+  const svalue *unknown_int
+    = mgr.get_or_create_unknown_svalue (integer_type_node);
   /* Repeated calls with the same type should get the same "unknown"
-     svalue2.  */
-  const svalue2 *unknown_int_2
-    = mgr.get_or_create_unknown_svalue2 (integer_type_node);
+     svalue.  */
+  const svalue *unknown_int_2
+    = mgr.get_or_create_unknown_svalue (integer_type_node);
   ASSERT_EQ (unknown_int, unknown_int_2);
 
   /* Different types (or the NULL type) should have different
-     unknown_svalue2s.  */
-  const svalue2 *unknown_NULL_type = mgr.get_or_create_unknown_svalue2 (NULL);
+     unknown_svalues.  */
+  const svalue *unknown_NULL_type = mgr.get_or_create_unknown_svalue (NULL);
   ASSERT_NE (unknown_NULL_type, unknown_int);
 
   /* Repeated calls with NULL for the type should get the same "unknown"
-     svalue2.  */
-  const svalue2 *unknown_NULL_type_2 = mgr.get_or_create_unknown_svalue2 (NULL);
+     svalue.  */
+  const svalue *unknown_NULL_type_2 = mgr.get_or_create_unknown_svalue (NULL);
   ASSERT_EQ (unknown_NULL_type, unknown_NULL_type_2);
 }
 
 #if 0
 /* Check that operator== and hashing works as expected for the
-   various svalue2 subclasses.  */
+   various svalue subclasses.  */
 
 static void
-test_svalue2_equality ()
+test_svalue_equality ()
 {
   tree int_42 = build_int_cst (integer_type_node, 42);
   tree int_0 = build_int_cst (integer_type_node, 0);
 
-  /* Create pairs instances of the various subclasses of svalue2,
+  /* Create pairs instances of the various subclasses of svalue,
      testing for hash and equality between (this, this) and
      (this, other of same subclass). */
-  const svalue2 *ptr_to_r0
-    = new region_svalue2 (ptr_type_node, region2_id::from_int (0));
-  const svalue2 *ptr_to_r1
-    = new region_svalue2 (ptr_type_node, region2_id::from_int (1));
+  const svalue *ptr_to_r0
+    = new region_svalue (ptr_type_node, region_id::from_int (0));
+  const svalue *ptr_to_r1
+    = new region_svalue (ptr_type_node, region_id::from_int (1));
 
   ASSERT_EQ (ptr_to_r0->hash (), ptr_to_r0->hash ());
   ASSERT_EQ (*ptr_to_r0, *ptr_to_r0);
@@ -9164,8 +7731,8 @@ test_svalue2_equality ()
   ASSERT_NE (ptr_to_r0->hash (), ptr_to_r1->hash ());
   ASSERT_NE (*ptr_to_r0, *ptr_to_r1);
 
-  const svalue2 *cst_int_42 = new constant_svalue2 (int_42);
-  const svalue2 *cst_int_0 = new constant_svalue2 (int_0);
+  const svalue *cst_int_42 = new constant_svalue (int_42);
+  const svalue *cst_int_0 = new constant_svalue (int_0);
 
   ASSERT_EQ (cst_int_42->hash (), cst_int_42->hash ());
   ASSERT_EQ (*cst_int_42, *cst_int_42);
@@ -9173,8 +7740,8 @@ test_svalue2_equality ()
   ASSERT_NE (cst_int_42->hash (), cst_int_0->hash ());
   ASSERT_NE (*cst_int_42, *cst_int_0);
 
-  const svalue2 *uninit = new poisoned_svalue2 (POISON_KIND_UNINIT, NULL_TREE);
-  const svalue2 *freed = new poisoned_svalue2 (POISON_KIND_FREED, NULL_TREE);
+  const svalue *uninit = new poisoned_svalue (POISON_KIND_UNINIT, NULL_TREE);
+  const svalue *freed = new poisoned_svalue (POISON_KIND_FREED, NULL_TREE);
 
   ASSERT_EQ (uninit->hash (), uninit->hash ());
   ASSERT_EQ (*uninit, *uninit);
@@ -9182,13 +7749,13 @@ test_svalue2_equality ()
   ASSERT_NE (uninit->hash (), freed->hash ());
   ASSERT_NE (*uninit, *freed);
 
-  const svalue2 *unknown_0 = new unknown_svalue2 (ptr_type_node);
-  const svalue2 *unknown_1 = new unknown_svalue2 (ptr_type_node);
+  const svalue *unknown_0 = new unknown_svalue (ptr_type_node);
+  const svalue *unknown_1 = new unknown_svalue (ptr_type_node);
   ASSERT_EQ (unknown_0->hash (), unknown_0->hash ());
   ASSERT_EQ (*unknown_0, *unknown_0);
   ASSERT_EQ (*unknown_1, *unknown_1);
 
-  /* Comparisons between different kinds of svalue2.  */
+  /* Comparisons between different kinds of svalue.  */
   ASSERT_NE (*ptr_to_r0, *cst_int_42);
   ASSERT_NE (*ptr_to_r0, *uninit);
   ASSERT_NE (*ptr_to_r0, *unknown_0);
@@ -9213,15 +7780,15 @@ test_svalue2_equality ()
 }
 
 /* Check that operator== and hashing works as expected for the
-   various region2 subclasses.  */
+   various region subclasses.  */
 
 static void
-test_region2_equality ()
+test_region_equality ()
 {
-  region2 *r0
-    = new primitive_region2 (region2_id::from_int (3), integer_type_node);
-  region2 *r1
-    = new primitive_region2 (region2_id::from_int (4), integer_type_node);
+  region *r0
+    = new primitive_region (region_id::from_int (3), integer_type_node);
+  region *r1
+    = new primitive_region (region_id::from_int (4), integer_type_node);
 
   ASSERT_EQ (*r0, *r0);
   ASSERT_EQ (r0->hash (), r0->hash ());
@@ -9231,25 +7798,25 @@ test_region2_equality ()
   delete r0;
   delete r1;
 
-  // TODO: test coverage for the map within a map_region2
+  // TODO: test coverage for the map within a map_region
 }
 #endif
 
-/* Verify that initial_svalue2 are handled as expected.  */
+/* Verify that initial_svalue are handled as expected.  */
 
 static void
-test_initial_svalue2_folding ()
+test_initial_svalue_folding ()
 {
-  region_model2_manager mgr;
+  region_model_manager mgr;
   tree x = build_global_decl ("x", integer_type_node);
   tree y = build_global_decl ("y", integer_type_node);
 
-  test_region_model2_context ctxt;
-  region_model2 model (&mgr);
-  const svalue2 *x_init = model.get_rvalue (x, &ctxt);
-  const svalue2 *y_init = model.get_rvalue (y, &ctxt);
+  test_region_model_context ctxt;
+  region_model model (&mgr);
+  const svalue *x_init = model.get_rvalue (x, &ctxt);
+  const svalue *y_init = model.get_rvalue (y, &ctxt);
   ASSERT_NE (x_init, y_init);
-  const region2 *x_reg = model.get_lvalue (x, &ctxt);
+  const region *x_reg = model.get_lvalue (x, &ctxt);
   ASSERT_EQ (x_init, mgr.get_or_create_initial_value (x_reg));
 
 }
@@ -9257,17 +7824,17 @@ test_initial_svalue2_folding ()
 /* Verify that unary ops are folded as expected.  */
 
 static void
-test_unaryop_svalue2_folding ()
+test_unaryop_svalue_folding ()
 {
-  region_model2_manager mgr;
+  region_model_manager mgr;
   tree x = build_global_decl ("x", integer_type_node);
   tree y = build_global_decl ("y", integer_type_node);
 
-  test_region_model2_context ctxt;
-  region_model2 model (&mgr);
-  const svalue2 *x_init = model.get_rvalue (x, &ctxt);
-  const svalue2 *y_init = model.get_rvalue (y, &ctxt);
-  const region2 *x_reg = model.get_lvalue (x, &ctxt);
+  test_region_model_context ctxt;
+  region_model model (&mgr);
+  const svalue *x_init = model.get_rvalue (x, &ctxt);
+  const svalue *y_init = model.get_rvalue (y, &ctxt);
+  const region *x_reg = model.get_lvalue (x, &ctxt);
   ASSERT_EQ (x_init, mgr.get_or_create_initial_value (x_reg));
 
   /* "(int)x" -> "x".  */
@@ -9295,17 +7862,17 @@ test_unaryop_svalue2_folding ()
 /* Verify that binops on constant svalues are folded.  */
 
 static void
-test_binop_svalue2_folding ()
+test_binop_svalue_folding ()
 {
 #define NUM_CSTS 10
   tree cst_int[NUM_CSTS];
-  region_model2_manager mgr;
-  const svalue2 *cst_sval[NUM_CSTS];
+  region_model_manager mgr;
+  const svalue *cst_sval[NUM_CSTS];
   for (int i = 0; i < NUM_CSTS; i++)
     {
       cst_int[i] = build_int_cst (integer_type_node, i);
-      cst_sval[i] = mgr.get_or_create_constant_svalue2 (cst_int[i]);
-      ASSERT_EQ (cst_sval[i]->get_kind (), svalue2::SK_CONSTANT);
+      cst_sval[i] = mgr.get_or_create_constant_svalue (cst_int[i]);
+      ASSERT_EQ (cst_sval[i]->get_kind (), svalue::SK_CONSTANT);
       ASSERT_EQ (cst_sval[i]->maybe_get_constant (), cst_int[i]);
     }
 
@@ -9316,29 +7883,29 @@ test_binop_svalue2_folding ()
 	  ASSERT_NE (cst_sval[i], cst_sval[j]);
 	if (i + j < NUM_CSTS)
 	  {
-	    const svalue2 *sum
+	    const svalue *sum
 	      = mgr.get_or_create_binop (integer_type_node, PLUS_EXPR,
 					 cst_sval[i], cst_sval[j]);
 	    ASSERT_EQ (sum, cst_sval[i + j]);
 	  }
 	if (i - j >= 0)
 	  {
-	    const svalue2 *difference
+	    const svalue *difference
 	      = mgr.get_or_create_binop (integer_type_node, MINUS_EXPR,
 					 cst_sval[i], cst_sval[j]);
 	    ASSERT_EQ (difference, cst_sval[i - j]);
 	  }
 	if (i * j < NUM_CSTS)
 	  {
-	    const svalue2 *product
+	    const svalue *product
 	      = mgr.get_or_create_binop (integer_type_node, MULT_EXPR,
 					 cst_sval[i], cst_sval[j]);
 	    ASSERT_EQ (product, cst_sval[i * j]);
 	  }
-	const svalue2 *eq = mgr.get_or_create_binop (integer_type_node, EQ_EXPR,
+	const svalue *eq = mgr.get_or_create_binop (integer_type_node, EQ_EXPR,
 					       cst_sval[i], cst_sval[j]);
 	ASSERT_EQ (eq, i == j ? cst_sval[1] : cst_sval [0]);
-	const svalue2 *neq = mgr.get_or_create_binop (integer_type_node, NE_EXPR,
+	const svalue *neq = mgr.get_or_create_binop (integer_type_node, NE_EXPR,
 						cst_sval[i], cst_sval[j]);
 	ASSERT_EQ (neq, i != j ? cst_sval[1] : cst_sval [0]);
 	// etc
@@ -9346,35 +7913,35 @@ test_binop_svalue2_folding ()
 
   tree x = build_global_decl ("x", integer_type_node);
 
-  test_region_model2_context ctxt;
-  region_model2 model (&mgr);
-  const svalue2 *x_init = model.get_rvalue (x, &ctxt);
+  test_region_model_context ctxt;
+  region_model model (&mgr);
+  const svalue *x_init = model.get_rvalue (x, &ctxt);
 
   /* PLUS_EXPR folding.  */
-  const svalue2 *x_init_plus_zero
+  const svalue *x_init_plus_zero
     = mgr.get_or_create_binop (integer_type_node, PLUS_EXPR,
 			       x_init, cst_sval[0]);
   ASSERT_EQ (x_init_plus_zero, x_init);
-  const svalue2 *zero_plus_x_init
+  const svalue *zero_plus_x_init
     = mgr.get_or_create_binop (integer_type_node, PLUS_EXPR,
 			       cst_sval[0], x_init);
   ASSERT_EQ (zero_plus_x_init, x_init);
 
   /* MULT_EXPR folding.  */
-  const svalue2 *x_init_times_zero
+  const svalue *x_init_times_zero
     = mgr.get_or_create_binop (integer_type_node, MULT_EXPR,
 			       x_init, cst_sval[0]);
   ASSERT_EQ (x_init_times_zero, cst_sval[0]);
-  const svalue2 *zero_times_x_init
+  const svalue *zero_times_x_init
     = mgr.get_or_create_binop (integer_type_node, MULT_EXPR,
 			       cst_sval[0], x_init);
   ASSERT_EQ (zero_times_x_init, cst_sval[0]);
 
-  const svalue2 *x_init_times_one
+  const svalue *x_init_times_one
     = mgr.get_or_create_binop (integer_type_node, MULT_EXPR,
 			       x_init, cst_sval[1]);
   ASSERT_EQ (x_init_times_one, x_init);
-  const svalue2 *one_times_x_init
+  const svalue *one_times_x_init
     = mgr.get_or_create_binop (integer_type_node, MULT_EXPR,
 			       cst_sval[1], x_init);
   ASSERT_EQ (one_times_x_init, x_init);
@@ -9383,66 +7950,66 @@ test_binop_svalue2_folding ()
   // TODO: do we want to use the match-and-simplify DSL for this?
 
   /* Verify that binops put any constants on the RHS.  */
-  const svalue2 *four_times_x_init
+  const svalue *four_times_x_init
     = mgr.get_or_create_binop (integer_type_node, MULT_EXPR,
 			       cst_sval[4], x_init);
-  const svalue2 *x_init_times_four
+  const svalue *x_init_times_four
     = mgr.get_or_create_binop (integer_type_node, MULT_EXPR,
 			       x_init, cst_sval[4]);
   ASSERT_EQ (four_times_x_init, x_init_times_four);
-  const binop_svalue2 *binop = four_times_x_init->dyn_cast_binop_svalue2 ();
+  const binop_svalue *binop = four_times_x_init->dyn_cast_binop_svalue ();
   ASSERT_EQ (binop->get_op (), MULT_EXPR);
   ASSERT_EQ (binop->get_arg0 (), x_init);
   ASSERT_EQ (binop->get_arg1 (), cst_sval[4]);
 
   /* Verify that ((x + 1) + 1) == (x + 2).  */
-  const svalue2 *x_init_plus_one
+  const svalue *x_init_plus_one
     = mgr.get_or_create_binop (integer_type_node, PLUS_EXPR,
 			       x_init, cst_sval[1]);
-  const svalue2 *x_init_plus_two
+  const svalue *x_init_plus_two
     = mgr.get_or_create_binop (integer_type_node, PLUS_EXPR,
 			       x_init, cst_sval[2]);
-  const svalue2 *x_init_plus_one_plus_one
+  const svalue *x_init_plus_one_plus_one
     = mgr.get_or_create_binop (integer_type_node, PLUS_EXPR,
 			       x_init_plus_one, cst_sval[1]);
   ASSERT_EQ (x_init_plus_one_plus_one, x_init_plus_two);
 }
 
-/* Verify that sub_svalue2s are folded as expected.  */
+/* Verify that sub_svalues are folded as expected.  */
 
 static void
-test_sub_svalue2_folding ()
+test_sub_svalue_folding ()
 {
-  coord_test2 ct;
+  coord_test ct;
   tree c = build_global_decl ("c", ct.m_coord_type);
   tree c_x = build3 (COMPONENT_REF, TREE_TYPE (ct.m_x_field),
 		     c, ct.m_x_field, NULL_TREE);
 
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
-  test_region_model2_context ctxt;
-  const region2 *c_x_reg = model.get_lvalue (c_x, &ctxt);
+  region_model_manager mgr;
+  region_model model (&mgr);
+  test_region_model_context ctxt;
+  const region *c_x_reg = model.get_lvalue (c_x, &ctxt);
 
-  /* Verify that sub_svalue2 of "unknown" simply
+  /* Verify that sub_svalue of "unknown" simply
      yields an unknown.  */
 
-  const svalue2 *unknown = mgr.get_or_create_unknown_svalue2 (ct.m_coord_type);
-  const svalue2 *sub = mgr.get_or_create_sub_svalue2 (TREE_TYPE (ct.m_x_field),
+  const svalue *unknown = mgr.get_or_create_unknown_svalue (ct.m_coord_type);
+  const svalue *sub = mgr.get_or_create_sub_svalue (TREE_TYPE (ct.m_x_field),
 						      unknown, c_x_reg);
-  ASSERT_EQ (sub->get_kind (), svalue2::SK_UNKNOWN);
+  ASSERT_EQ (sub->get_kind (), svalue::SK_UNKNOWN);
   ASSERT_EQ (sub->get_type (), TREE_TYPE (ct.m_x_field));
 }
 
-/* Test that region2::descendent_of_p works as expected.  */
+/* Test that region::descendent_of_p works as expected.  */
 
 static void
 test_descendent_of_p ()
 {
-  region_model2_manager mgr;
-  const region2 *stack = mgr.get_stack_region ();
-  const region2 *heap = mgr.get_heap_region ();
-  const region2 *code = mgr.get_code_region ();
-  const region2 *globals = mgr.get_globals_region ();
+  region_model_manager mgr;
+  const region *stack = mgr.get_stack_region ();
+  const region *heap = mgr.get_heap_region ();
+  const region *code = mgr.get_code_region ();
+  const region *globals = mgr.get_globals_region ();
 
   /* descendent_of_p should return true when used on the region itself.  */
   ASSERT_TRUE (stack->descendent_of_p (stack));
@@ -9451,46 +8018,46 @@ test_descendent_of_p ()
   ASSERT_FALSE (stack->descendent_of_p (globals));
 
   tree x = build_global_decl ("x", integer_type_node);
-  const region2 *x_reg = mgr.get_region_for_global (x);
+  const region *x_reg = mgr.get_region_for_global (x);
   ASSERT_TRUE (x_reg->descendent_of_p (globals));
 
-  /* A cast_region2 should be a descendent of the original region.  */
-  const region2 *cast_reg = mgr.get_cast_region (x_reg, ptr_type_node);
+  /* A cast_region should be a descendent of the original region.  */
+  const region *cast_reg = mgr.get_cast_region (x_reg, ptr_type_node);
   ASSERT_TRUE (cast_reg->descendent_of_p (x_reg));
 }
 
 #if 0
-/* A subclass of purge_criteria for selftests: purge all const svalue2 *instances.  */
+/* A subclass of purge_criteria for selftests: purge all const svalue *instances.  */
 
-class purge_all_svalue2_ids : public purge_criteria
+class purge_all_svalue_ids : public purge_criteria
 {
 public:
-  bool should_purge_p (svalue2_id) const FINAL OVERRIDE
+  bool should_purge_p (svalue_id) const FINAL OVERRIDE
   {
     return true;
   }
 };
 
-/* A subclass of purge_criteria: purge a specific svalue2_id.  */
+/* A subclass of purge_criteria: purge a specific svalue_id.  */
 
-class purge_one_svalue2 *: public purge_criteria
+class purge_one_svalue *: public purge_criteria
 {
 public:
-  purge_one_svalue2 *(svalue2 *victim) : m_victim (victim) {}
+  purge_one_svalue *(svalue *victim) : m_victim (victim) {}
 
-  purge_one_svalue2 *(region_model2 model, tree expr)
+  purge_one_svalue *(region_model model, tree expr)
   : m_victim (model.get_rvalue (expr, NULL)) {}
 
-  bool should_purge_p (svalue2 *sval) const FINAL OVERRIDE
+  bool should_purge_p (svalue *sval) const FINAL OVERRIDE
   {
     return sid == m_victim;
   }
 
 private:
-  svalue2 *m_victim;
+  svalue *m_victim;
 };
 
-/* Check that constraint_manager::purge works for individual svalue2_ids.  */
+/* Check that constraint_manager::purge works for individual svalue_ids.  */
 
 static void
 test_purging_by_criteria ()
@@ -9502,19 +8069,19 @@ test_purging_by_criteria ()
   tree y = build_global_decl ("y", integer_type_node);
 
   {
-    region_model2 model0;
-    region_model2 model1;
+    region_model model0;
+    region_model model1;
 
     ADD_SAT_CONSTRAINT (model1, x, EQ_EXPR, y);
     ASSERT_NE (model0, model1);
 
     purge_stats stats_for_px;
-    purge_one_svalue2 *px (model1, x);
+    purge_one_svalue *px (model1, x);
     model1.get_constraints ()->purge (px, &stats_for_px);
     ASSERT_EQ (stats_for_px.m_num_equiv_classes, 0);
 
     purge_stats stats_for_py;
-    purge_one_svalue2 *py (model1.get_rvalue (y, NULL));
+    purge_one_svalue *py (model1.get_rvalue (y, NULL));
     model1.get_constraints ()->purge (py, &stats_for_py);
     ASSERT_EQ (stats_for_py.m_num_equiv_classes, 1);
 
@@ -9522,22 +8089,22 @@ test_purging_by_criteria ()
   }
 
   {
-    region_model2 model0;
-    region_model2 model1;
+    region_model model0;
+    region_model model1;
 
     ADD_SAT_CONSTRAINT (model1, x, EQ_EXPR, int_42);
     ASSERT_NE (model0, model1);
     ASSERT_CONDITION_TRUE (model1, x, EQ_EXPR, int_42);
 
     purge_stats stats;
-    model1.get_constraints ()->purge (purge_one_svalue2 *(model1, x), &stats);
+    model1.get_constraints ()->purge (purge_one_svalue *(model1, x), &stats);
 
     ASSERT_CONDITION_UNKNOWN (model1, x, EQ_EXPR, int_42);
   }
 
   {
-    region_model2 model0;
-    region_model2 model1;
+    region_model model0;
+    region_model model1;
 
     ADD_SAT_CONSTRAINT (model1, x, GE_EXPR, int_0);
     ADD_SAT_CONSTRAINT (model1, x, LE_EXPR, int_42);
@@ -9547,15 +8114,15 @@ test_purging_by_criteria ()
     ASSERT_CONDITION_TRUE (model1, x, LE_EXPR, int_42);
 
     purge_stats stats;
-    model1.get_constraints ()->purge (purge_one_svalue2 *(model1, x), &stats);
+    model1.get_constraints ()->purge (purge_one_svalue *(model1, x), &stats);
 
     ASSERT_CONDITION_UNKNOWN (model1, x, GE_EXPR, int_0);
     ASSERT_CONDITION_UNKNOWN (model1, x, LE_EXPR, int_42);
   }
 
   {
-    region_model2 model0;
-    region_model2 model1;
+    region_model model0;
+    region_model model1;
 
     ADD_SAT_CONSTRAINT (model1, x, NE_EXPR, int_42);
     ADD_SAT_CONSTRAINT (model1, y, NE_EXPR, int_0);
@@ -9564,7 +8131,7 @@ test_purging_by_criteria ()
     ASSERT_CONDITION_TRUE (model1, y, NE_EXPR, int_0);
 
     purge_stats stats;
-    model1.get_constraints ()->purge (purge_one_svalue2 *(model1, x), &stats);
+    model1.get_constraints ()->purge (purge_one_svalue *(model1, x), &stats);
     ASSERT_NE (model0, model1);
 
     ASSERT_CONDITION_UNKNOWN (model1, x, NE_EXPR, int_42);
@@ -9572,8 +8139,8 @@ test_purging_by_criteria ()
   }
 
   {
-    region_model2 model0;
-    region_model2 model1;
+    region_model model0;
+    region_model model1;
 
     ADD_SAT_CONSTRAINT (model1, x, NE_EXPR, int_42);
     ADD_SAT_CONSTRAINT (model1, y, NE_EXPR, int_0);
@@ -9582,25 +8149,25 @@ test_purging_by_criteria ()
     ASSERT_CONDITION_TRUE (model1, y, NE_EXPR, int_0);
 
     purge_stats stats;
-    model1.get_constraints ()->purge (purge_all_svalue2_ids (), &stats);
+    model1.get_constraints ()->purge (purge_all_svalue_ids (), &stats);
     ASSERT_CONDITION_UNKNOWN (model1, x, NE_EXPR, int_42);
     ASSERT_CONDITION_UNKNOWN (model1, y, NE_EXPR, int_0);
   }
 
 }
 
-/* Test that region_model2::purge_unused_svalue2s works as expected.  */
+/* Test that region_model::purge_unused_svalues works as expected.  */
 
 static void
-test_purge_unused_svalue2s ()
+test_purge_unused_svalues ()
 {
   tree int_42 = build_int_cst (integer_type_node, 42);
   tree int_0 = build_int_cst (integer_type_node, 0);
   tree x = build_global_decl ("x", integer_type_node);
   tree y = build_global_decl ("y", integer_type_node);
 
-  test_region_model2_context ctxt;
-  region_model2 model;
+  test_region_model_context ctxt;
+  region_model model;
   model.set_to_new_unknown_value (model.get_lvalue (x, &ctxt), TREE_TYPE (x),
 				  &ctxt);
   model.set_to_new_unknown_value (model.get_lvalue (x, &ctxt), TREE_TYPE (x),
@@ -9616,8 +8183,8 @@ test_purge_unused_svalue2s ()
 
   /* The redundant unknown values should have been purged.  */
   purge_stats purged;
-  model.purge_unused_svalue2s (&purged, NULL);
-  ASSERT_EQ (purged.m_num_svalue2s, 3);
+  model.purge_unused_svalues (&purged, NULL);
+  ASSERT_EQ (purged.m_num_svalues, 3);
 
   /* and the redundant constraint on an old, unknown value for x should
      have been purged.  */
@@ -9647,15 +8214,15 @@ test_assignment ()
   tree y = build_global_decl ("y", integer_type_node);
 
   /* "x == 0", then use of y, then "y = 0;".  */
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  region_model model (&mgr);
   ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, int_0);
-  ASSERT_CONDITION_UNKNOWN2 (model, y, EQ_EXPR, int_0);
+  ASSERT_CONDITION_UNKNOWN (model, y, EQ_EXPR, int_0);
   model.set_value (model.get_lvalue (y, NULL),
 		   model.get_rvalue (int_0, NULL),
 		   NULL);
-  ASSERT_CONDITION_TRUE2 (model, y, EQ_EXPR, int_0);
-  ASSERT_CONDITION_TRUE2 (model, y, EQ_EXPR, x);
+  ASSERT_CONDITION_TRUE (model, y, EQ_EXPR, int_0);
+  ASSERT_CONDITION_TRUE (model, y, EQ_EXPR, x);
 
 #if 0
   ASSERT_DUMP_EQ (model, true, "y: 0, {x}: unknown, x == y");
@@ -9667,7 +8234,7 @@ test_assignment ()
 static void
 test_compound_assignment ()
 {
-  coord_test2 ct;
+  coord_test ct;
 
   tree c = build_global_decl ("c", ct.m_coord_type);
   tree c_x = build3 (COMPONENT_REF, TREE_TYPE (ct.m_x_field),
@@ -9683,8 +8250,8 @@ test_compound_assignment ()
   tree int_17 = build_int_cst (integer_type_node, 17);
   tree int_m3 = build_int_cst (integer_type_node, -3);
 
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  region_model model (&mgr);
   model.set_value (c_x, int_17, NULL);
   model.set_value (c_y, int_m3, NULL);
 
@@ -9695,7 +8262,7 @@ test_compound_assignment ()
   /* Copy c to d.  */
   model.copy_region (model.get_lvalue (d, NULL), model.get_lvalue (c, NULL),
 		     NULL);
-  /* Check that the fields have the same svalue2s.  */
+  /* Check that the fields have the same svalues.  */
   ASSERT_EQ (model.get_rvalue (c_x, NULL), model.get_rvalue (d_x, NULL));
   ASSERT_EQ (model.get_rvalue (c_y, NULL), model.get_rvalue (d_y, NULL));
 }
